
#include "blitz_module.h"

static BBModule *Modules;

void bbModuleImport(BBModule *mod)
{
	for (const BBModule *m = Modules; m; m = m->succ)
	{
		if (m == mod) {
			return;
		}
	}
	
	mod->entry();
}

void bbModuleRegister(BBModule *mod)
{	
	mod->succ = Modules;
	Modules = mod;
}
