#ifndef BLITZ_EXCEPTIONS_COMMON_H
#define BLITZ_EXCEPTIONS_COMMON_H

#include "../_common.h"

#include "../blitz_class.h"
#include "../blitz_debug.h"
#include "../blitz_ex.h"
#include "../blitz_object.h"
#include "../blitz_string.h"

BB_BEGIN_DECLS

typedef struct BBException				BBException;

typedef struct BBBlitzException			BBBlitzException;
typedef struct BBArrayBoundsException	BBArrayBoundsException;
typedef struct BBNullFunctionException	BBNullFunctionException;
typedef struct BBNullMethodException	BBNullMethodException;
typedef struct BBNullObjectException	BBNullObjectException;
typedef struct BBOutOfDataException		BBOutOfDataException;

typedef struct BBRuntimeException		BBRuntimeException;

BB_END_DECLS

#endif	// BLITZ_EXCEPTIONS_COMMON_H
