#include "blitz_blitzexception.h"

static BBDebugScope ClassScope =
{
	.kind	= BBDEBUGSCOPE_USERTYPE,
	.name	= "TBlitzException",
	.decls	= {
		BBDEBUGDECL_END
	}
};

BBClass bbBlitzExceptionClass =
{
	.super			= &bbExceptionClass,
	.free			= bbObjectFree,
	.debug_scope	= &ClassScope,
	.instance_size	= sizeof (BBBlitzException),
	
	.ctor			= bbExceptionCtor,
	.dtor			= bbExceptionDtor,
	
	.ToString		= bbObjectToString,
	.Compare		= bbExceptionCompare,
	.SendMessage	= bbObjectSendMessage,
	.Clone			= bbExceptionClone,
	
	.vfns =
	{
		[__BBEXCEPTION_VFN_INITCAUSE__]	= bbExceptionInitCause,
		[__BBEXCEPTION_VFN_GETCAUSE__]	= bbExceptionGetCause
	}
};
