SuperStrict; Private

Rem SETUP
End Rem

' 32-bit values
Const INTMIN_STR:String		= "-2147483648"
Const INTMAX_STR:String		= "2147483647"
	
Const LONGMIN_STR:String	= "-9223372036854775808"
Const LONGMAX_STR:String	= "9223372036854775807"

Rem TESTS
End Rem

Assert String.FromLong(1) <> Null Else "String.FromLong(1) failed: Null result" 
Assert String.FromLong(1) = "1"  Else "String.FromLong(1) failed: Wrong return value"

Assert String.FromLong(-1) <> Null Else "String.FromLong(-1) failed: Null result" 
Assert String.FromLong(-1) = "-1" Else "String.FromLong(-1) failed: Wrong return value"

Assert String.FromLong(INT_MIN) = INTMIN_STR Else "String.FromLong(INT_MIN) failed: Wrong return value"
Assert String.FromLong(INT_MAX) = INTMAX_STR Else "String.FromLong(INT_MAX) failed: Wrong return value"

Assert String.FromLong(LONG_MIN) = LONGMIN_STR Else "String.FromLong(LONG_MIN) failed: Wrong return value"
Assert String.FromLong(LONG_MAX) = LONGMAX_STR Else "String.FromLong(LONG_MAX) failed: Wrong return value"