SuperStrict; Private

Rem SETUP
End Rem

Local str1:String = "Extended"
Local str2:String = "Extended"
Local str3:String = "Extended BlitzMax runtime"
Local str4:String = "Now I can leave my work for nights, and leave my day for sleeping"

Local diff:Int

Rem TESTS
End Rem

' Same strings
Assert str1.compare(str1) = 0 Else ..
	"String.compare() failed: Same string instance does not return '0'"
Assert str1.compare(str2) = 0 Else ..
	"String.compare() failed: Same string does not return '0'"

' Same beginning, different length

diff = str1.length - str3.length ' = -17

Assert str1.compare(str3) = diff And str3.compare(str1) = -diff Else ..
	"String.compare() failed: Different length strings with the same beginning substring must return difference in length"


' Completely different strings

diff = str1[0] - str4[0] ' = -9

Assert str1.compare(str4) = diff And str4.compare(str1) = -diff  Else ..
	"String.compare() failed: Different strings must return first occuring difference in characters"

' Compare against Null

Assert str1.compare(Null) = str1.length Else ..
	"String.compare() failed: Comparing against Null must return string's length"

Assert "".compare(str1) = -str1.length Else ..
	"String.compare() failed: Empty string compared against non-empty one must return argument string's negative length"

Assert "".compare("") = 0 And "".compare(Null) = 0 Else ..
	"String.compare() failed: Empty string compared against empty string must return '0'"