Rem
bbdoc:	Interface for enumerable objects
about:	Enumerables don't implement the logic for enumerating over their elements themselves,
		instead they return an associated enumerator which handles it.
End Rem
Type IEnumerable Abstract

	Rem
	bbdoc:	Gives the object's enumerator
	returns: An enumerator, ready to enumerate over the object's elements
	about:	Depending on the type of object, this can return a new enumerator everytime
			or the same one for the same object. If its the last case, the enumerator can
			be set at a position different from the starting one by previous calls.
	End Rem
	Method objectEnumerator:IEnumerator() Abstract

End Type