Rem
bbdoc:	Thrown in case an exceptional event happened at runtime.
End Rem
Type TRuntimeException Extends TBlitzException Final

	Field error:String
	
	Rem
		bbdoc:	Gives a user-defined description of the problem.
	End Rem
	Method toString:String()
		Return Self.error
	End Method
	
	Rem
		bbdoc:	Creates a new runtime exception.
		param:	message A error message describing the exception
	End Rem
	Function Create:TRuntimeException(message:String, cause:TBaseException = Null)
	
		Local this:TRuntimeException
		this		= New TRuntimeException
		this.initCause(cause)
		this.error	= message
		Return this
		
	End Function
	
	Rem
	bbdoc:	
	End Rem
	Method getMessage:String() Final
		Return Self.error
	End Method
	
End Type
