SuperStrict; Private

Rem SETUP
End Rem

' 32-bit values
Const INTMIN_STR:String		= "-2147483648"
Const INTMAX_STR:String		= "2147483647"

Rem TESTS
End Rem

Assert String.FromInt(1) <> Null Else "String.FromInt(1) failed: Null result" 
Assert String.FromInt(1) = "1"  Else "String.FromInt(1) failed: Wrong return value"

Assert String.FromInt(-1) <> Null Else "String.FromInt(-1) failed: Null result" 
Assert String.FromInt(-1) = "-1" Else "String.FromInt(-1) failed: Wrong return value"

Assert String.FromInt(INT_MIN) = INTMIN_STR Else "String.FromInt(INT_MIN) failed: Wrong return value"
Assert String.FromInt(INT_MAX) = INTMAX_STR Else "String.FromInt(INT_MAX) failed: Wrong return value"

Assert String.FromInt(LONG_MIN) = 0 Else "String.FromInt(LONG_MIN) failed: Wrong return value"
Assert String.FromInt(LONG_MAX) = -1 Else "String.FromInt(LONG_MAX) failed: Wrong return value"